Bug 103435 - psm is installed but SSL connections are not possible
psm is installed but SSL connections are not possible
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks: 101028
  Show dependency treegraph
 
Reported: 2003-08-30 08:20 EDT by Dirk Gfroerer
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-29 16:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dirk Gfroerer 2003-08-30 08:20:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) Gecko/20030624

Description of problem:
I've updated my taroon beta1 installation today via up2date (had to install the
new certificates by hand). Now every time I try to access a https site an error
dialog pops up, complaining about missing psm module.

Exact error message is:
This document cannot be displayed unless you install the Personal Security
Manager (PSM).
Download and install PSM and try again, or contact your system administrator.

Howevever psm is installed. Also connections to my imaps EMail account are no
longer possible.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start Mozilla
2. Try to access https://rhn.redhat.com

    

Actual Results:  Error dialog is being displayed.

Expected Results:  RHN Homepage is being displayed

Additional info:

[digf@ghcl01 digf]$ rpm -q -a|fgrep mozilla
mozilla-psm-1.4-3.0.12
mozilla-dom-inspector-1.4-3.0.12
mozilla-1.4-3.0.12
mozilla-js-debugger-1.4-3.0.12
mozilla-nss-1.4-3.0.12
mozilla-mail-1.4-3.0.12
mozilla-chat-1.4-3.0.12
mozilla-nspr-1.4-3.0.12
Comment 1 Christopher Blizzard 2003-09-03 11:19:42 EDT
Can you re-run /usr/lib/mozilla-1.4/mozilla-rebuild-databases.pl?
Comment 2 Dirk Gfroerer 2003-09-03 11:42:46 EDT
I've run mozilla-rebuild-databases.pl but that didn't help.
Comment 3 Christopher Blizzard 2003-09-03 12:00:26 EDT
rpm -V mozilla-psm  ?
Comment 4 Dirk Gfroerer 2003-09-03 12:32:22 EDT
[digf@ghcl01 digf]$ rpm -V mozilla-psm 
[digf@ghcl01 digf]$ rpm -Vvv mozilla-psm 
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0 
D: locked   db index       /var/lib/rpm/Packages 
D: opening  db index       /var/lib/rpm/Name rdonly mode=0x0 
D: opening  db index       /var/lib/rpm/Pubkeys rdonly mode=0x0 
D:  read h#    1058 Header sanity check: OK 
D: ========== DSA pubkey id fd372689897da07a 
D:  read h#    1367 Header V3 DSA signature: OK, key ID 897da07a 
D: ========== +++ mozilla-psm-1.4-3.0.12 i386-linux 0x1 
D: opening  db index       /var/lib/rpm/Depends create mode=0x0 
D: opening  db index       /var/lib/rpm/Basenames rdonly mode=0x0 
D:  read h#    1068 Header V3 DSA signature: OK, key ID 897da07a 
D:  Requires: /bin/sh                                       YES (db files) 
D:  Requires: /bin/sh                                       YES (cached) 
D: opening  db index       /var/lib/rpm/Providename rdonly mode=0x0 
D:  read h#    1070 Header V3 DSA signature: OK, key ID 897da07a 
D:  Requires: fileutils                                     YES (db provides) 
D:  read h#    1067 Header V3 DSA signature: OK, key ID 897da07a 
D:  Requires: libc.so.6                                     YES (db provides) 
D:  Requires: libc.so.6(GLIBC_2.0)                          YES (db provides) 
D:  Requires: libc.so.6(GLIBC_2.1.3)                        YES (db provides) 
D:  Requires: libdl.so.2                                    YES (db provides) 
D:  read h#    1063 Header V3 DSA signature: OK, key ID 897da07a 
D:  Requires: libgcc_s.so.1                                 YES (db provides) 
D:  Requires: libgcc_s.so.1(GLIBC_2.0)                      YES (db provides) 
D:  Requires: libm.so.6                                     YES (db provides) 
D:  read h#     969 Header sanity check: OK 
D: ========== DSA pubkey id 219180cddb42a60e 
D:  read h#     816 Header V3 DSA signature: OK, key ID db42a60e 
D:  Requires: libmozjs.so                                   YES (db provides) 
D:  Requires: libnspr4.so                                   YES (db provides) 
D: ========== DSA pubkey id fd372689897da07a 
D:  read h#    1362 Header V3 DSA signature: OK, key ID 897da07a 
D:  Requires: libnss3.so                                    YES (db provides) 
D:  Requires: libnss3.so(NSS_3.2)                           YES (db provides) 
D:  Requires: libnss3.so(NSS_3.3)                           YES (db provides) 
D:  Requires: libnss3.so(NSS_3.4)                           YES (db provides) 
D:  Requires: libnss3.so(NSS_3.5)                           YES (db provides) 
D:  Requires: libnss3.so(NSS_3.6)                           YES (db provides) 
D:  Requires: libnss3.so(NSS_3.7)                           YES (db provides) 
D:  Requires: libplc4.so                                    YES (db provides) 
D:  Requires: libplds4.so                                   YES (db provides) 
D:  Requires: libpthread.so.0                               YES (db provides) 
D:  Requires: libsmime3.so                                  YES (db provides) 
D:  Requires: libsmime3.so(NSS_3.2)                         YES (db provides) 
D:  Requires: libsmime3.so(NSS_3.4)                         YES (db provides) 
D:  Requires: libsmime3.so(NSS_3.4.1)                       YES (db provides) 
D:  Requires: libsmime3.so(NSS_3.6)                         YES (db provides) 
D:  Requires: libsoftokn3.so                                YES (db provides) 
D:  Requires: libssl3.so                                    YES (db provides) 
D:  Requires: libssl3.so(NSS_3.2)                           YES (db provides) 
D:  Requires: libssl3.so(NSS_3.4)                           YES (db provides) 
D:  read h#    1071 Header V3 DSA signature: OK, key ID 897da07a 
D:  Requires: libstdc++.so.5                                YES (db provides) 
D:  Requires: libstdc++.so.5(CXXABI_1.2)                    YES (db provides) 
D:  Requires: libstdc++.so.5(GLIBCPP_3.2)                   YES (db provides) 
D:  Requires: libxpcom.so                                   YES (db provides) 
D:  read h#    1361 Header V3 DSA signature: OK, key ID 897da07a 
D:  Requires: mozilla = 37:1.4-3.0.12                       YES (db provides) 
D:  Requires: mozilla-nss = 37:1.4-3.0.12                   YES (db provides) 
D:  Requires: rpmlib(CompressedFileNames) <= 3.0.4-1        YES (rpmlib 
provides) 
D:  Requires: rpmlib(PayloadFilesHavePrefix) <= 4.0-1       YES (rpmlib 
provides) 
D:  Requires: rpmlib(VersionedDependencies) <= 3.0.3-1      YES (rpmlib 
provides) 
D: closed   db index       /var/lib/rpm/Depends 
D: closed   db index       /var/lib/rpm/Pubkeys 
D: closed   db index       /var/lib/rpm/Providename 
D: closed   db index       /var/lib/rpm/Basenames 
D: closed   db index       /var/lib/rpm/Name 
D: closed   db index       /var/lib/rpm/Packages 
 
Comment 5 Dirk Gfroerer 2003-09-18 02:50:56 EDT
*blush* Seems like I've found the problem. I've reused my old .bashrc which is
quite old. It contained an export MOZILLA_FIVE_HOME=/opt/mozilla/bin. Removing
this line from the .bashrc solved the problem. SSL connections to RHN are
possible now. I can also access my SSL secured imap server now. Sorry for the
confusion.
Comment 6 Nils Philippsen 2003-09-23 09:15:39 EDT
I do have this problem with correct MOZILLA_FIVE_HOME=/usr/lib/mozilla-1.4. I
also get this error with a very clean environment (running "env -i DISPLAY=:0
HOME=$HOME mozilla") on existing users (with an existing .mozilla directory):

"""
Could not initialize the browser's security component. The most likely cause is
problems with files in your browser's profile directory. Please check that this
directory has no read/write restrictions and your hard disk is not full or close
to full. It is recommended that you exit the browser and fix the problem. If you
continue to use this browser session, you might see incorrect browser behaviour
when accessing security features.
"""

and then:

"""
You cannot connect to <name of the webserver> because SSL is disabled.
"""

As a sidenote, SSL works with Galeon-1.3.9 that uses the components of this
Mozilla or with Mozilla and users without pre-existing .mozilla directory.
Comment 7 Christopher Blizzard 2003-09-29 16:55:20 EDT
Marking as invalid based on reporter comments.

Note You need to log in before you can comment on or make changes to this bug.